Bug 58678 - File corruption with WRITE CACHE SIZE != 0
Summary: File corruption with WRITE CACHE SIZE != 0
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba   
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-22 19:42 UTC by Need Real Name
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-22 20:05:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-01-22 19:42:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; Hotbar 3.0)

Description of problem:
If you set WRITE CACHE SIZE with a value not equal to zero (0), files writed by 
Windows 95, 98 and Me can be filled with zeros.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set WRITE CACHE SIZE = 65535 in smb.conf
2. Use a Win9x client (95, 98 or Me)
3. Copy a file to the server and compare to original. 

Actual Results:  The file is equal in size, but differs in content. Checking 
CRC is usefull to confirm the file corruption.


Expected Results:  An equal file.

Additional info:

Just in Samba 2.2.x. This does not occour in 2.0.x
Setting the parameter WRITE CACHE SIZE = 0 solves the problem.

Comment 1 Trond Eivind Glomsrxd 2002-01-22 20:05:02 UTC
A bug wrt. WRITE CACHE SIZE was just fixed in CVS (see
<20020122075522.A28462@va.samba.org> ). Thus, it should be fixed in 2.2.3 when
this is available. Keeping open until rebuilt.

Comment 2 Trond Eivind Glomsrxd 2002-04-10 23:32:11 UTC
Which was done a long time ago. Doh. 2.2.3-1 was the first, 2.2.3a-5 is the current.


Note You need to log in before you can comment on or make changes to this bug.